obj/command	// our fake command objs
	icon = 'commands.dmi'

	help
		icon_state = "help"
		Click()
			usr.help()

	say
		icon_state = "say"
		Click()
			var/msg = "What would you like to say?"

			var/T = input(msg, "Say \[text]") as text|null
			if(T)
				usr.say(T)

	tell
		icon_state = "tell"
		Click()
			var/msg = "Who would you like to tell?"
			var/mob/M = input(msg, "Tell \[mob]") as null|mob in world
			if(!M) return
			msg = "What would you like to tell [M]?"
			var/T = input(msg, "Tell [M] \[text]") as text
			usr.tell(M, T)

/* Using a global list of command objs for this demo. If some players have
	access to commands that others don't, you may want to make individual
	mob lists of commands. */
var/list/fake_commands = list()

world/New()
	..()
	// make all the commands except the parent /obj/command
	for(var/command in typesof(/obj/command)-/obj/command)
		fake_commands += new command()	// add it to our fake_commands list

mob
	Stat()
		..()
		if(src == usr) // the rest of this is only for the mob viewing itself
			statpanel("Commands")	// our fake "Commands" panel
			stat(fake_commands)

	verb
		say(T as text)
			world << "<b>[src]:</b> [T]"

		tell(mob/M in world, T as text)
			M << "<i><b>[src]:</b> [T]</i>"
			src << "<i><b>to [M]:</b> [T]</i>"
