obj
	New()
		..()

		// make the mouse drag pointer
		var/icon/I = icon(icon, icon_state)	// original icon
		/* note that the icon has the hot spot set in the upper left corner
			to match my dragpointer icon */
		I.Blend('dither50.dmi', ICON_ADD)	// add a 50% dither
		I.Blend('dragpointer.dmi', ICON_OVERLAY)	// overlay the pointer
		mouse_drag_pointer = I

	verb
		get()
			set category = "Item"
			set src in oview(2)
			src.Move(usr)

		drop()
			set category = "Item"
			src.Move(usr.loc)

	MouseDrop(over_object,src_location,over_location)
		..()	// perform other MouseDrop actions

		/* if it starts on a turf and is dropped in the Inventory panel or
			on the usr */
		if(isturf(src_location) && ((over_location == "Inventory") || (over_object == usr)))
			if(get_dist(usr,src_location)<=2)	// make sure it is within range
				src.Move(usr)	// move the object into player contents

		// if it starts in the Inventory panel and is dropped on a turf
		else if((src_location == "Inventory") && isturf(over_location))
			if(get_dist(usr,over_location)<=2)	// make sure the turf is in range
				src.Move(over_location)	// move it to the target turf

		// if it is moved from turf to turf
		else if(isturf(src_location) && isturf(over_location))
			// make sure both turfs are in range of the usr
			if((get_dist(usr,over_location)<=2) && (get_dist(usr,src_location)<=2))
				src.Move(over_location)	// move to the new turf

